ColumnSource (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.metamodel.source.binder
Interface ColumnSource

All Superinterfaces:
  RelationalValueSource

All Known Implementing Classes:
  ColumnSourceImpl, ColumnValuesSourceImpl

    public interface ColumnSource

extends RelationalValueSource

Contract for source information pertaining to a column definition.

Method Summary
`String` | `getCheckCondition()` Obtain the specified check constraint condition
`String` | `getComment()` Obtain the specified SQL comment
`Datatype` | `getDatatype()` The deduced (and dialect convertible) type for this column
`String` | `getDefaultValue()` Obtain a specified default value for the column
`String` | `getName()` Obtain the name of the column.
`String` | `getReadFragment()` A SQL fragment to apply to the column value on read.
`Size` | `getSize()` Obtain the specified column size.
`String` | `getSqlType()` Obtain the free-hand definition of the column's type.
`String` | `getWriteFragment()` A SQL fragment to apply to the column value on write.
`boolean` | `isIncludedInInsert()`
`boolean` | `isIncludedInUpdate()`
`boolean` | `isNullable()` Is this column nullable?
`boolean` | `isUnique()` Is this column unique?

Methods inherited from interface org.hibernate.metamodel.source.binder.RelationalValueSource
`getContainingTableName`

Method Detail

### getName

    String getName()

  Obtain the name of the column.

  Returns:
    The name of the column. Can be `null`, in which case a naming strategy is applied.

### getReadFragment

    String getReadFragment()

  A SQL fragment to apply to the column value on read.

  Returns:
    The SQL read fragment

### getWriteFragment

    String getWriteFragment()

  A SQL fragment to apply to the column value on write.

  Returns:
    The SQL write fragment

### isNullable

    boolean isNullable()

  Is this column nullable?

  Returns:
    `true` indicates it is nullable; `false` non-nullable.

### getDefaultValue

    String getDefaultValue()

  Obtain a specified default value for the column

  Returns:
    THe column default

### getSqlType

    String getSqlType()

  Obtain the free-hand definition of the column's type.

  Returns:
    The free-hand column type

### getDatatype

    Datatype getDatatype()

  The deduced (and dialect convertible) type for this column

  Returns:
    The column's SQL data type.

### getSize

    Size getSize()

  Obtain the specified column size.

  Returns:
    The column size.

### isUnique

    boolean isUnique()

  Is this column unique?

  Returns:
    `true` indicates it is unique; `false` non-unique.

### getCheckCondition

    String getCheckCondition()

  Obtain the specified check constraint condition

  Returns:
    Check constraint condition

### getComment

    String getComment()

  Obtain the specified SQL comment

  Returns:
    SQL comment

### isIncludedInInsert

    boolean isIncludedInInsert()

### isIncludedInUpdate

    boolean isIncludedInUpdate()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.